com.thinkaurelius.titan.diskstorage.configuration

## Class TransactionalConfiguration

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.configuration.TransactionalConfiguration

- All Implemented Interfaces:
    ReadConfiguration, WriteConfiguration

      public class TransactionalConfiguration
      extends Object
      implements WriteConfiguration

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.configuration.ReadConfiguration

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionalConfiguration(WriteConfiguration config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `commit()`
    `WriteConfiguration` | `copy()`
    `<O> O` | `get(String key, Class<O> datatype)`
    `Iterable<String>` | `getKeys(String prefix)`
    `boolean` | `hasMutations()`
    `void` | `logMutations(DataOutput out)`
    `void` | `remove(String key)`
    `void` | `rollback()`
    `<O> void` | `set(String key, O value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionalConfiguration

          public TransactionalConfiguration(WriteConfiguration config)

  - ### Method Detail

    - #### set

          public <O> void set(String key,
                     O value)

      Specified by:
        `set` in interface `WriteConfiguration`

    - #### remove

          public void remove(String key)

      Specified by:
        `remove` in interface `WriteConfiguration`

    - #### copy

          public WriteConfiguration copy()

      Specified by:
        `copy` in interface `WriteConfiguration`

    - #### get

          public <O> O get(String key,
                  Class<O> datatype)

      Specified by:
        `get` in interface `ReadConfiguration`

    - #### getKeys

          public Iterable<String> getKeys(String prefix)

      Specified by:
        `getKeys` in interface `ReadConfiguration`

    - #### commit

          public void commit()

    - #### rollback

          public void rollback()

    - #### hasMutations

          public boolean hasMutations()

    - #### logMutations

          public void logMutations(DataOutput out)

    - #### close

          public void close()

      Specified by:
        `close` in interface `ReadConfiguration`

Copyright © 2012–2014. All rights reserved.